Blog

Mise à jour critique de Salesforce Winter ’20 : questions-réponses

Natalie Lane

décembre 16, 2019
young woman working on laptop near window

La sortie de la version Winter ’20 de Salesforce approche à grands pas. Celle-ci inclut une mise à jour clé qui exigera de nos clients qu’ils prennent quelques minutes pour mettre à jour leurs autorisations. Salesforce suit une approche « sécuriser par défaut », qui comprend des mises à jour de la plateforme. Comme beaucoup d’autres applications de Salesforce AppExchange, la prochaine version aura des répercussions sur nos clients qui utilisent Composer et CQG, en exigeant des autorisations supplémentaires de leur part pour les applications tierces.

Qu’est-ce que cela signifie ? Que le moment est venu de mettre à jour l’accès par défaut aux autorisations « Personnaliser l’application » !  

Mais rassurez-vous, nous sommes là pour vous guider dans ces mises à jour nécessaires afin de vous permettre de les mener à bien. Nos clients mondiaux peuvent rester en avance sur cette mise à jour avec les ressources disponibles et en suivant nos recommandations. 

Brian Farr, notre directeur de la gestion des produits, est ici pour répondre à certaines des questions les plus urgentes liées à cette mise à jour critique. 

Voici le récapitulatif. À quoi dois-je m’attendre dans la version Salesforce Winter ’20 ?  

Salesforce met en application les autorisations des utilisateurs pour accéder à des métadonnées personnalisées. En fait, certaines organisations font en sorte que cette mise à jour soit automatiquement activée dès le 2 janvier. 

Pourquoi les clients de Conga sont-ils concernés ?

Ce changement influence la manière dont Composer et Conga Quote Generation effectuent le processus OAuth. Autrement dit, les organisations qui n’ont pas donné à leurs utilisateurs Composer un accès en lecture aux métadonnées personnalisées de Composer seront confrontées à une erreur de serveur interne lorsque ces utilisateurs tenteront de générer un document.

Note importante : les clients qui utilisent des versions de Composer antérieures à Composer 8.149 n’ont pas besoin des métadonnées personnalisées référencées, et aucune autre action n’est requise.

Vous n’êtes pas certain de savoir quelle version vous utilisez ? Vous pouvez le vérifier en suivant les étapes décrites dans cet article.

À quel moment les clients doivent-ils effectuer ces mises à jour ?

Nous recommandons de faire la mise à jour le plus tôt possible. Le fait d’attendre le 2 janvier risque de poser des problèmes qui peuvent être évités en effectuant une mise à jour dès maintenant.

Comment puis-je mettre à jour mes autorisations d’utilisateur de Conga ?

Si vous préférez gérer vos autorisations d’utilisateur en créant vos propres autorisations personnalisées, vous pouvez suivre les étapes décrites ici pour définir l’ensemble d’autorisations correctes à attribuer aux utilisateurs de Composer. 

Si vous préférez attribuer des ensembles d’autorisations qui sont inclus dans le progiciel géré par Composer, vous devez effectuer une mise à niveau vers notre tout dernier progiciel (disponible le 18/12) et vous assurer d’accorder à chaque utilisateur de Composer l’ensemble d’autorisations prédéfini dans le progiciel.

Vous pouvez également suivre notre guide étape par étape ici

Existe-t-il des ressources susceptibles de m’aider dans ce processus ?

Oui ! Nous avons compilé plusieurs ressources différentes qui peuvent vous aider à mettre à jour vos autorisations, depuis des articles de support technique jusqu’à une vidéo d’instruction étape par étape (voir ci-dessous). Vous pouvez y accéder ici :

Comment mettre a jour les Ensembles d’autorisations – Mise à jour Hiver '20

Natalie Lane